mumble-volume-file-is-present:
  file.managed:
    - name: /etc/containers/systemd/mumble.volume
    - source: salt://mumble/mumble.volume.jinja
    - template: jinja

mumble-container-file-is-present:
  file.managed:
    - name: /etc/containers/systemd/mumble.container
    - source: salt://mumble/mumble.container.jinja
    - template: jinja

reload-systemd-units-onchange-of-mumble-container-unit-file:
  module.wait:
    - service.systemctl_reload:
    - watch:
      - file: mumble-container-file-is-present

mumble-service-running:
  service.running:
    - name: mumble
    - watch:
        - module: reload-systemd-units-onchange-of-mumble-container-unit-file
